Bug 494283 - (mingw32-libp11) Review Request: mingw32-libp11 - MingGW Windows libp11 library
Review Request: mingw32-libp11 - MingGW Windows libp11 library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 03:53 EDT by Kalev Lember
Modified: 2009-05-15 19:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.2.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:48:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2009-04-06 03:53:54 EDT
Spec URL: http://www.smartlink.ee/~kalev/mingw32-libp11.spec
SRPM URL: http://www.smartlink.ee/~kalev/mingw32-libp11-0.2.4-1.fc11.src.rpm
Description:
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

This is the MinGW cross-compiled Windows library.


The version of libp11 used here is 0.2.4, while the main Fedora package is still at 0.2.3. The reason for picking a newer version for the mingw32 package is that the older one needs several modifications to successfully build, whereas this one build cleanly with mingw32.

Approved packaging guidelines for MinGW are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1279142

I'll also need a sponsor. I have posted a few package review requests (and have done unofficial reviews), but none of my packages are in Fedora yet.
Comment 1 Thomas Sailer 2009-04-06 18:20:46 EDT
rpmlint:
mingw32-libp11.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libp11.dll.a
mingw32-libp11.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libp11.dll.a
mingw32-libp11.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libp11.h
mingw32-libp11.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/libp11.pc
mingw32-libp11.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libp11.la
mingw32-libp11.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libp11.dll.a
mingw32-libp11.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
2 packages and 1 specfiles checked; 2 errors, 5 warnings.

(this is f10 rpmlint, f11 rpmlint would not have complained)
These can be ignored as per: http://fedoraproject.org/wiki/MinGW/Rpmlint
Comment 2 Thomas Sailer 2009-04-06 18:30:58 EDT
+ rpmlint output
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
  LGPLv2+
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  9e2c5cbececde245e2d2f535bd49ce35  libp11-0.2.4.tar.gz
  9e2c5cbececde245e2d2f535bd49ce35  p/libp11-0.2.4.tar.gz
+ package successfully builds on at least one architecture
  noarch
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
  ok for mingw packages to have headers
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
+ packages should not contain libtool .la files
  allowed according to http://fedoraproject.org/wiki/Packaging/MinGW
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
n/a reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin

APPROVED by sailer

Note: I am not a sponsor, I cannot sponsor you
Comment 3 Kalev Lember 2009-04-07 04:29:09 EDT
New Package CVS Request
=======================
Package Name: mingw32-libp11
Short Description: MingGW Windows libp11 library
Owners: kalev rjones
Branches: F-10
InitialCC:
Comment 4 Thomas Sailer 2009-04-07 04:37:06 EDT
I think you first need a sponsor, then get a fedora account, before you can request CVS...
Comment 5 Kalev Lember 2009-04-07 05:03:42 EDT
Thanks for your very fast review, Thomas.

Richard Jones said he is not familiar with how the sponsorship system works and that he'll try setting fedora‑cvs? flag for me. That's why I requested CVS without being sponsored.
Comment 6 Thomas Sailer 2009-04-07 05:22:05 EDT
Please see:
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Before you are sponsored, you do not have a fedora account (kalev does not exist), and therefore you cannot be owner of a package in CVS.
Comment 7 Kalev Lember 2009-04-07 07:28:27 EDT
I am familiar with the HowToGetSponsored page and I do have an FAS account for a while now. Please see: https://admin.fedoraproject.org/accounts/user/view/kalev

So far I have posted 3 packages for review (and they all block FE-NEEDSPONSOR). Besides the mingw32-libp11 I have:
https://bugzilla.redhat.com/show_bug.cgi?id=mingw32-opensc
https://bugzilla.redhat.com/show_bug.cgi?id=powwow

I have also done a few unofficial reviews and commented in some bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=491617
https://bugzilla.redhat.com/show_bug.cgi?id=491614
https://bugzilla.redhat.com/show_bug.cgi?id=492165
https://bugzilla.redhat.com/show_bug.cgi?id=492122

In https://bugzilla.redhat.com/show_bug.cgi?id=mingw32-cairomm I did the official review. Richard Jones checked on my review and set the fedora‑review+ flag for me.

Regarding this package here, I discussed the situation with Richard Jones and he suggested that he could try setting the fedora‑cvs? flag as I still don't have a sponsor, that's the reason I posted the CVS request too.
Comment 8 Kevin Kofler 2009-04-07 13:29:40 EDT
Canceling CVS request, this needs sponsorship first.

The sponsor should also be the one setting fedora-review.
Comment 9 Itamar Reis Peixoto 2009-04-07 13:51:45 EDT
rjones.

my personal suggestion is to request a upgrade to your Fedora Account (sponsor + provenpackager), so you can sponsor the people yourself.

is very hard to get sponsored, and you're the guy, if you're become the guy with the power will be best :-)
Comment 10 Richard W.M. Jones 2009-04-15 10:50:16 EDT
I'm sponsoring kalev now, so this is approved (as per comment 2)
and we would like CVS (as per comment 3).
Comment 11 Kalev Lember 2009-04-15 11:01:33 EDT
I think we now need F-11 branch too after the mass-branching last night. Updated request:

New Package CVS Request
=======================
Package Name: mingw32-libp11
Short Description: MingGW Windows libp11 library
Owners: kalev rjones
Branches: F-10 F-11
InitialCC:
Comment 12 Kevin Fenzi 2009-04-16 00:28:24 EDT
cvs done. 

Do remember to assign the bug to the reviewer and move it to assigned. ;)
Comment 13 Fedora Update System 2009-04-16 05:45:29 EDT
mingw32-libp11-0.2.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libp11-0.2.4-1.fc11
Comment 14 Fedora Update System 2009-04-16 05:47:07 EDT
mingw32-libp11-0.2.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libp11-0.2.4-1.fc10
Comment 15 Fedora Update System 2009-04-17 14:06:01 EDT
mingw32-libp11-0.2.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-libp11'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3739
Comment 16 Fedora Update System 2009-04-21 20:48:22 EDT
mingw32-libp11-0.2.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-05-15 19:30:54 EDT
mingw32-libp11-0.2.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.